// based on code found in Quaxtrip, by Damon Holzborn
const Max = require('max-api');
const { networkInterfaces } = require('os');
const nets = networkInterfaces();
const localifaces = [];

for (const name of Object.keys(nets)) {
	for (const net of nets[name]) {
		if (net.family === 'IPv4' && !net.internal) {
			localifaces.push(net.address);
		}
	}
}

let str = 'Local IP Addresses:\n';
for (let i = 0; i < localifaces.length; i++) {
	str += '   ' + localifaces[i] + '\n';
}
Max.outlet(str);

